#xorg.conf

# **********************************************************************
# Modules section.
# **********************************************************************

Section "Module"
	Load		"extmod"
	Load		"record"
    Load		"dbe"
	Load		"xtrap"
    Load		"glx"
    Load        "type1"
    Load        "freetype"
    SubSection  "extmod"
      Option    "omit xfree86-dga"
    EndSubSection
EndSection


# **********************************************************************
# Files section.
# **********************************************************************

Section "Files"
	RgbPath		"/usr/local/lib/X11/rgb"
	FontPath	"/usr/local/lib/X11/fonts/misc/"
	FontPath	"/usr/local/lib/X11/fonts/TTF/"
	FontPath	"/usr/local/lib/X11/fonts/Type1/"
	FontPath	"/usr/local/lib/X11/fonts/75dpi/"
	FontPath	"/usr/local/lib/X11/fonts/100dpi/"
	FontPath	"/usr/local/lib/X11/fonts/local/"
EndSection


# **********************************************************************
# Input devices
# **********************************************************************

Section "InputDevice"
	Identifier		"Keyboard1"
	Driver	"kbd"
#	Driver	"void"
	Option	"AutoRepeat"	"500 30"
	Option	"XkbVariant"	"nodeadkeys"
	Option	"XkbRules"		"xorg"
	Option	"XkbModel"		"pc105"
	Option	"XkbLayout"		"de"
EndSection

Section "InputDevice"
	Identifier		"Mouse1"
	Driver	"mouse"
	Option	"Protocol"		"auto"	# PS/2 Mouse
	Option	"Device"		"/dev/sysmouse"
	Option	"ZAxisMapping"	"4 5 6 7"
EndSection

Section "InputDevice"
	Identifier	"Touchscreen1"
	Driver	"utouch"
	Option	"Device"		"/dev/utouch0"
	Option	"SendDragEvents"	"true"
	Option	"DebugLevel"	"0"
	Option	"Threshold"		"20"
	Option	"FilterNear"	"4"
	Option	"FilterFar"		"0"
	Option	"FilterFirstPress"	"0"
	Option	"FilterRelease"	"True"
	Option	"Invert Y"		"1"
	Option	"Rotate"		"left"
	Option	"Min X"		"400"
	Option	"Max X"		"1500"
	Option	"Min Y"		"900"
	Option	"Max Y"		"1700"
EndSection


# **********************************************************************
# Monitor section
# **********************************************************************


Section "Monitor"
	Identifier	"tft"
	HorizSync	31.5 - 64.3
	VertRefresh	50-70
EndSection


# **********************************************************************
# Graphics device section
# **********************************************************************

# Standard VGA Device:

#Section "Device"
#	Identifier	"Standard VGA"
#	VendorName	"Unknown"
#	BoardName	"Unknown"
#	Driver		"vga"
#EndSection

# Device configured by xorgconfig:

Section "Device"
	Identifier	"nvidia"
	Driver	"nvidia"
	Option	"TripleBuffer"	"True"
	Option	"RandRRotation"	"True"
	Option	"Rotate"		"left"
#	Option	"NvAGP"			"True"
EndSection


# **********************************************************************
# Screen sections
# **********************************************************************

Section "Screen"
	Identifier	"Screen 1"
	Device		"nvidia"
	Monitor		"tft"
	DefaultDepth	24

	Subsection "Display"
		Depth		8
		Modes		"1280x1024"
		ViewPort	0 0
	EndSubsection
	Subsection	"Display"
		Depth		16
		Modes		"1280x1024" "800x600" "1024x768"
		ViewPort	0 0
	EndSubsection
	Subsection	"Display"
		Depth		24
		Modes		"1360x768"
		ViewPort	0 0
	EndSubsection
EndSection

Section "ServerFlags"
	Option	"blank time"	"0"
	Option	"standby time"	"0"
	Option	"suspend time"	"0"
	Option	"off time"		"0"
	Option	"AllowMouseOpenFail" "True"
	Option	"NoPM"		"true"
	Option	"Xinerama"	"false"
EndSection


# **********************************************************************
# ServerLayout sections.
# **********************************************************************

Section "ServerLayout"
	Identifier	"Simple Layout"
	Screen		"Screen 1"
	InputDevice	"Mouse1"		"CorePointer"
	InputDevice	"Touchscreen1"	"SendCoreEvents"
	InputDevice	"Keyboard1"		"CoreKeyboard"
EndSection

